summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-11 19:43:49 +0200
committer Robby Workman2010-05-11 19:43:49 +0200
commit70a98a3330ad6e9f77a9cd0c12b5a84855d22073 (patch)
tree405ebb4dfc2a3b71f2ef777b010fbeb62344febf /desktop
parent7159b2970736f5d50f8338dad204f7c46cfce15f (diff)
downloadslackbuilds-70a98a3330ad6e9f77a9cd0c12b5a84855d22073.tar.gz
desktop/kdmtheme: Updated for version 1.2.2
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kdmtheme/kdmtheme.SlackBuild30
-rw-r--r--desktop/kdmtheme/kdmtheme.info6
-rw-r--r--desktop/kdmtheme/slack-desc10
3 files changed, 32 insertions, 14 deletions
diff --git a/desktop/kdmtheme/kdmtheme.SlackBuild b/desktop/kdmtheme/kdmtheme.SlackBuild
index 361f9149a7..d3aa6c3f96 100644
--- a/desktop/kdmtheme/kdmtheme.SlackBuild
+++ b/desktop/kdmtheme/kdmtheme.SlackBuild
@@ -1,7 +1,6 @@
#!/bin/sh
#
# SlackBuild script for kdmtheme
-# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
# All rights reserved.
@@ -23,13 +22,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-set -e
-
PRGNAM=kdmtheme
-VERSION=1.1.3
+VERSION=1.2.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -43,21 +41,33 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e # Exit on errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patch borken configure that insists on automake-1.7.
+# Patch by Gohanz (http://www.slacky.eu)
+ACVER=$(whereis aclocal- 2>&1|sed -e 's#.*bin/aclocal-\([0-9.]*\).*#\1#')
+sed -i "s/am__api_version=\"1.7\"/am__api_version=\"$ACVER\"/" configure
+
+KDEPREF=$(kde-config --prefix) || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/opt/kde \
- --disable-debug \
- --program-prefix="" \
- --program-suffix=""
+./configure \
+ --prefix=$KDEPREF \
+ --disable-debug
make
make install-strip DESTDIR=$PKG
diff --git a/desktop/kdmtheme/kdmtheme.info b/desktop/kdmtheme/kdmtheme.info
index 6a450fafc1..1464fdb5fa 100644
--- a/desktop/kdmtheme/kdmtheme.info
+++ b/desktop/kdmtheme/kdmtheme.info
@@ -1,8 +1,8 @@
PRGNAM="kdmtheme"
-VERSION="1.1.3"
+VERSION="1.2.2"
HOMEPAGE="http://www.kde-look.org/content/show.php?content=22120"
-DOWNLOAD="http://beta.smileaf.org/files/kdmtheme/kdmtheme-1.1.3.tar.bz2"
-MD5SUM="f49500529652a03701dff03ca54986c4"
+DOWNLOAD="http://beta.smileaf.org/files/kdmtheme/kdmtheme-1.2.2.tar.bz2"
+MD5SUM="292188b0a74b865ec7429077ff5e02b7"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
APPROVED="rworkman"
diff --git a/desktop/kdmtheme/slack-desc b/desktop/kdmtheme/slack-desc
index da06cbed96..756aef0608 100644
--- a/desktop/kdmtheme/slack-desc
+++ b/desktop/kdmtheme/slack-desc
@@ -1,4 +1,12 @@
-kdmtheme: kdmtheme - a KDM Theme Manager
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kdmtheme: kdmtheme (a KDM Theme Manager)
kdmtheme:
kdmtheme: KDM Theme Manager is just what it says: a Theme Manager for KDM.
kdmtheme: This control module allows you to easily add, remove, and/or select